execute store result score advancementannounce random run random value 1..61
playsound minecraft:block.note_block.hat master @a ~ ~ ~ 100000 1
scoreboard players add advancementannounce bounty_mode 1
title @a times 0 80 60
execute if score advancementsGenerated bounty_mode matches 1 if score idioma options matches 1 run title @a title {"text":"The advancement is...","color":"#FFD86E"}
execute if score advancementsGenerated bounty_mode matches 1 if score idioma options matches 2 run title @a title {"text":"El logro es...","color":"#FFD86E"}
execute if score advancementsGenerated bounty_mode matches 1 if score idioma options matches 3 run title @a title {"text":"需要争夺的成就为...","color":"#FFD86E"}

execute if score advancementsGenerated bounty_mode matches 2.. if score idioma options matches 1 run title @a title {"text":"The next advancement is...","color":"#FFD86E"}
execute if score advancementsGenerated bounty_mode matches 2.. if score idioma options matches 2 run title @a title {"text":"El siguiente logro es...","color":"#FFD86E"}
execute if score advancementsGenerated bounty_mode matches 2.. if score idioma options matches 3 run title @a title {"text":"下一个需要争夺的成就为...","color":"#FFD86E"}

execute if score advancementannounce random matches 1 run title @a subtitle {"fallback":"translateError1","translate":"advancements.story.mine_stone.title"}
execute if score advancementannounce random matches 2 run title @a subtitle {"fallback":"translateError2","translate":"advancements.story.upgrade_tools.title"}
execute if score advancementannounce random matches 3 run title @a subtitle {"fallback":"translateError3","translate":"advancements.story.smelt_iron.title"}
execute if score advancementannounce random matches 4 run title @a subtitle {"fallback":"translateError4","translate":"advancements.story.iron_tools.title"}
execute if score advancementannounce random matches 5 run title @a subtitle {"fallback":"translateError5","translate":"advancements.story.obtain_armor.title"}
execute if score advancementannounce random matches 6 run title @a subtitle {"fallback":"translateError6","translate":"advancements.story.deflect_arrow.title"}
execute if score advancementannounce random matches 7 run title @a subtitle {"fallback":"translateError7","translate":"advancements.story.lava_bucket.title"}
execute if score advancementannounce random matches 8 run title @a subtitle {"fallback":"translateError8","translate":"advancements.story.mine_diamond.title"}
execute if score advancementannounce random matches 9 run title @a subtitle {"fallback":"translateError9","translate":"advancements.adventure.voluntary_exile.title"}
execute if score advancementannounce random matches 10 run title @a subtitle {"fallback":"translateError10","translate":"advancements.adventure.trade.title"}
execute if score advancementannounce random matches 11 run title @a subtitle {"fallback":"translateError11","translate":"advancements.adventure.avoid_vibration.title"}
execute if score advancementannounce random matches 12 run title @a subtitle {"fallback":"translateError12","translate":"advancements.adventure.ol_betsy.title"}
execute if score advancementannounce random matches 13 run title @a subtitle {"fallback":"translateError13","translate":"advancements.adventure.whos_the_pillager_now.title"}
execute if score advancementannounce random matches 14 run title @a subtitle {"fallback":"translateError14","translate":"advancements.adventure.kill_a_mob.title"}
execute if score advancementannounce random matches 15 run title @a subtitle {"fallback":"translateError15","translate":"advancements.adventure.shoot_arrow.title"}
execute if score advancementannounce random matches 16 run title @a subtitle {"fallback":"translateError16","translate":"advancements.adventure.walk_on_powder_snow_with_leather_boots.title"}
execute if score advancementannounce random matches 17 run title @a subtitle {"fallback":"translateError17","translate":"advancements.husbandry.plant_seed.title"}
execute if score advancementannounce random matches 18 run title @a subtitle {"fallback":"translateError18","translate":"advancements.husbandry.make_a_sign_glow.title"}
execute if score advancementannounce random matches 19 run title @a subtitle {"fallback":"translateError19","translate":"advancements.husbandry.fishy_business.title"}
execute if score advancementannounce random matches 20 run title @a subtitle {"fallback":"translateError20","translate":"advancements.husbandry.tactical_fishing.title"}
execute if score advancementannounce random matches 21 run title @a subtitle {"fallback":"translateError21","translate":"advancements.husbandry.axolotl_in_a_bucket.title"}
execute if score advancementannounce random matches 22 run title @a subtitle {"fallback":"translateError22","translate":"advancements.husbandry.tame_an_animal.title"}
execute if score advancementannounce random matches 23 run title @a subtitle {"fallback":"translateError23","translate":"advancements.husbandry.breed_an_animal.title"}
execute if score advancementannounce random matches 24 run title @a subtitle {"fallback":"translateError24","translate":"advancements.husbandry.ride_a_boat_with_a_goat.title"}
execute if score advancementannounce random matches 25 run title @a subtitle {"fallback":"translateError25","translate":"advancements.story.shiny_gear.title"}
execute if score advancementannounce random matches 26 run title @a subtitle {"fallback":"translateError26","translate":"advancements.story.enchant_item.title"}
execute if score advancementannounce random matches 27 run title @a subtitle {"fallback":"translateError27","translate":"advancements.story.form_obsidian.title"}
execute if score advancementannounce random matches 28 run title @a subtitle {"fallback":"translateError28","translate":"advancements.story.enter_the_nether.title"}
execute if score advancementannounce random matches 29 run title @a subtitle {"fallback":"translateError29","translate":"advancements.adventure.summon_iron_golem.title"}
execute if score advancementannounce random matches 30 run title @a subtitle {"fallback":"translateError30","translate":"advancements.adventure.honey_block_slide.title"}
execute if score advancementannounce random matches 31 run title @a subtitle {"fallback":"translateError31","translate":"advancements.adventure.read_power_from_chiseled_bookshelf.title"}
execute if score advancementannounce random matches 32 run title @a subtitle {"fallback":"translateError32","translate":"advancements.adventure.trim_with_any_armor_pattern.title"}
execute if score advancementannounce random matches 33 run title @a subtitle {"fallback":"translateError33","translate":"advancements.adventure.spyglass_at_ghast.title"}
execute if score advancementannounce random matches 34 run title @a subtitle {"fallback":"translateError34","translate":"advancements.adventure.kill_mob_near_sculk_catalyst.title"}
execute if score advancementannounce random matches 35 run title @a subtitle {"fallback":"translateError35","translate":"advancements.adventure.bullseye.title"}
execute if score advancementannounce random matches 36 run title @a subtitle {"fallback":"translateError36","translate":"advancements.adventure.sniper_duel.title"}
execute if score advancementannounce random matches 37 run title @a subtitle {"fallback":"translateError37","translate":"advancements.husbandry.safely_harvest_honey.title"}
execute if score advancementannounce random matches 38 run title @a subtitle {"fallback":"translateError38","translate":"advancements.husbandry.wax_on.title"}
execute if score advancementannounce random matches 39 run title @a subtitle {"fallback":"translateError39","translate":"advancements.husbandry.wax_off.title"}
execute if score advancementannounce random matches 40 run title @a subtitle {"fallback":"translateError40","translate":"advancements.adventure.brush_armadillo.title"}
execute if score advancementannounce random matches 41 run title @a subtitle {"fallback":"translateError41","translate":"advancements.nether.find_bastion.title"}
execute if score advancementannounce random matches 42 run title @a subtitle {"fallback":"translateError42","translate":"advancements.nether.loot_bastion.title"}
execute if score advancementannounce random matches 43 run title @a subtitle {"fallback":"translateError43","translate":"advancements.nether.find_fortress.title"}
execute if score advancementannounce random matches 44 run title @a subtitle {"fallback":"translateError44","translate":"advancements.nether.obtain_blaze_rod.title"}
execute if score advancementannounce random matches 45 run title @a subtitle {"fallback":"translateError45","translate":"advancements.nether.brew_potion.title"}
execute if score advancementannounce random matches 46 run title @a subtitle {"fallback":"translateError46","translate":"advancements.nether.distract_piglin.title"}
execute if score advancementannounce random matches 47 run title @a subtitle {"fallback":"translateError47","translate":"advancements.nether.obtain_ancient_debris.title"}
execute if score advancementannounce random matches 48 run title @a subtitle {"fallback":"translateError48","translate":"advancements.nether.return_to_sender.title"}
execute if score advancementannounce random matches 49 run title @a subtitle {"fallback":"translateError49","translate":"advancements.nether.obtain_crying_obsidian.title"}
execute if score advancementannounce random matches 50 run title @a subtitle {"fallback":"translateError50","translate":"advancements.nether.ride_strider.title"}
execute if score advancementannounce random matches 51 run title @a subtitle {"fallback":"translateError51","translate":"advancements.adventure.minecraft_trials_edition.title"}
execute if score advancementannounce random matches 52 run title @a subtitle {"fallback":"translateError52","translate":"advancements.adventure.under_lock_and_key.title"}
execute if score advancementannounce random matches 53 run title @a subtitle {"fallback":"translateError53","translate":"advancements.adventure.who_needs_rockets.title"}
execute if score advancementannounce random matches 54 run title @a subtitle {"fallback":"translateError54","translate":"advancements.adventure.blowback.title"}
execute if score advancementannounce random matches 55 run title @a subtitle {"fallback":"translateError55","translate":"advancements.adventure.crafters_crafting_crafters.title"}
execute if score advancementannounce random matches 56 run title @a subtitle {"fallback":"translateError56","translate":"advancements.husbandry.netherite_hoe.title"}
execute if score advancementannounce random matches 57 run title @a subtitle {"fallback":"translateError57","translate":"advancements.nether.get_wither_skull.title"}
execute if score advancementannounce random matches 58 run title @a subtitle {"fallback":"translateError58","translate":"advancements.nether.fast_travel.title"}
execute if score advancementannounce random matches 59 run title @a subtitle {"fallback":"translateError59","translate":"advancements.adventure.use_lodestone.title"}
execute if score advancementannounce random matches 60 run title @a subtitle {"fallback":"translateError60","translate":"advancements.story.enter_the_end.title"}
execute if score advancementannounce random matches 61 run title @a subtitle {"fallback":"translateError61","translate":"advancements.end.dragon_breath.title"}

execute if score advancementannounce bounty_mode matches 1..20 run schedule function subchronos:game/bounty/announce_advancement_loop 2t
execute if score advancementannounce bounty_mode matches 21..30 run schedule function subchronos:game/bounty/announce_advancement_loop 3t
execute if score advancementannounce bounty_mode matches 31..36 run schedule function subchronos:game/bounty/announce_advancement_loop 4t
execute if score advancementannounce bounty_mode matches 37..42 run schedule function subchronos:game/bounty/announce_advancement_loop 5t
execute if score advancementannounce bounty_mode matches 43..44 run schedule function subchronos:game/bounty/announce_advancement_loop 7t
execute if score advancementannounce bounty_mode matches 45 run schedule function subchronos:game/bounty/announce_advancement_loop 12t
execute if score advancementannounce bounty_mode matches 46 run schedule function subchronos:game/bounty/announce_advancement_loop 20t
execute if score advancementannounce bounty_mode matches 47 run schedule function subchronos:game/bounty/announce_advancement 20t

#{"fallback":"translateError1","translate":"advancements.story.mine_stone.title"}
#{"fallback":"translateError2","translate":"advancements.story.upgrade_tools.title"}
#{"fallback":"translateError3","translate":"advancements.story.smelt_iron.title"}
#{"fallback":"translateError4","translate":"advancements.story.iron_tools.title"}
#{"fallback":"translateError5","translate":"advancements.story.obtain_armor.title"}
#{"fallback":"translateError6","translate":"advancements.story.deflect_arrow.title"}
#{"fallback":"translateError7","translate":"advancements.story.lava_bucket.title"}
#{"fallback":"translateError8","translate":"advancements.story.mine_diamond.title"}
#{"fallback":"translateError9","translate":"advancements.adventure.voluntary_exile.title"}
#{"fallback":"translateError10","translate":"advancements.adventure.trade.title"}
#{"fallback":"translateError11","translate":"advancements.adventure.avoid_vibration.title"}
#{"fallback":"translateError12","translate":"advancements.adventure.ol_betsy.title"}
#{"fallback":"translateError13","translate":"advancements.adventure.whos_the_pillager_now.title"}
#{"fallback":"translateError14","translate":"advancements.adventure.kill_a_mob.title"}
#{"fallback":"translateError15","translate":"advancements.adventure.shoot_arrow.title"}
#{"fallback":"translateError16","translate":"advancements.adventure.walk_on_powder_snow_with_leather_boots.title"}
#{"fallback":"translateError17","translate":"advancements.husbandry.plant_seed.title"}
#{"fallback":"translateError18","translate":"advancements.husbandry.make_a_sign_glow.title"}
#{"fallback":"translateError19","translate":"advancements.husbandry.fishy_business.title"}
#{"fallback":"translateError20","translate":"advancements.husbandry.tactical_fishing.title"}
#{"fallback":"translateError21","translate":"advancements.husbandry.axolotl_in_a_bucket.title"}
#{"fallback":"translateError22","translate":"advancements.husbandry.tame_an_animal.title"}
#{"fallback":"translateError23","translate":"advancements.husbandry.breed_an_animal.title"}
#{"fallback":"translateError24","translate":"advancements.husbandry.ride_a_boat_with_a_goat.title"}
#{"fallback":"translateError25","translate":"advancements.story.shiny_gear.title"}
#{"fallback":"translateError26","translate":"advancements.story.enchant_item.title"}
#{"fallback":"translateError27","translate":"advancements.story.form_obsidian.title"}
#{"fallback":"translateError28","translate":"advancements.story.enter_the_nether.title"}
#{"fallback":"translateError29","translate":"advancements.adventure.summon_iron_golem.title"}
#{"fallback":"translateError30","translate":"advancements.adventure.honey_block_slide.title"}
#{"fallback":"translateError31","translate":"advancements.adventure.read_power_from_chiseled_bookshelf.title"}
#{"fallback":"translateError32","translate":"advancements.adventure.trim_with_any_armor_pattern.title"}
#{"fallback":"translateError33","translate":"advancements.adventure.spyglass_at_ghast.title"}
#{"fallback":"translateError34","translate":"advancements.adventure.kill_mob_near_sculk_catalyst.title"}
#{"fallback":"translateError35","translate":"advancements.adventure.bullseye.title"}
#{"fallback":"translateError36","translate":"advancements.adventure.sniper_duel.title"}
#{"fallback":"translateError37","translate":"advancements.husbandry.safely_harvest_honey.title"}
#{"fallback":"translateError38","translate":"advancements.husbandry.wax_on.title"}
#{"fallback":"translateError39","translate":"advancements.husbandry.wax_off.title"}
#{"fallback":"translateError40","translate":"advancements.adventure.brush_armadillo.title"}
#{"fallback":"translateError41","translate":"advancements.nether.find_bastion.title"}
#{"fallback":"translateError42","translate":"advancements.nether.loot_bastion.title"}
#{"fallback":"translateError43","translate":"advancements.nether.find_fortress.title"}
#{"fallback":"translateError44","translate":"advancements.nether.obtain_blaze_rod.title"}
#{"fallback":"translateError45","translate":"advancements.nether.brew_potion.title"}
#{"fallback":"translateError46","translate":"advancements.nether.distract_piglin.title"}
#{"fallback":"translateError47","translate":"advancements.nether.obtain_ancient_debris.title"}
#{"fallback":"translateError48","translate":"advancements.nether.return_to_sender.title"}
#{"fallback":"translateError49","translate":"advancements.nether.obtain_crying_obsidian.title"}
#{"fallback":"translateError50","translate":"advancements.nether.ride_strider.title"}
#{"fallback":"FALTA","translate":"advancements.*.title"}
#{"fallback":"FALTA","translate":"advancements.*.title"}
#{"fallback":"FALTA","translate":"advancements.*.title"}
#{"fallback":"FALTA","translate":"advancements.*.title"}
#{"fallback":"FALTA","translate":"advancements.*.title"}
#{"fallback":"translateError56","translate":"advancements.husbandry.netherite_hoe.title"}
#{"fallback":"translateError57","translate":"advancements.nether.get_wither_skull.title"}
#{"fallback":"translateError58","translate":"advancements.nether.fast_travel.title"}
#{"fallback":"translateError59","translate":"advancements.nether.use_lodestone.title"}
#{"fallback":"translateError60","translate":"advancements.story.enter_the_end.title"}
#{"fallback":"translateError61","translate":"advancements.end.dragon_breath.title"}